---
title: /display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting
slug: campaign-reporting-apis/displayv2advertisersadvertiseridcampaignscampaignideligibledisplaytargeting
docTags: 
createdAt: 2026-03-25T11:01:52.241Z
---

{
  "id": "3wRpw7FvIs38aTrYJ6Z2H",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting",
    "servers": [
      {
        "url": "https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "<p>Retrieves all publishers, sites, ad units and accepted sizes targetable by the specified\ncampaign. Returns even sites not having any eligible ad unit since configured accepted sizes\nin the ad unit or the ad unit itself could have been removed.\nOptionally, filtering by a specific <em>publisherId</em> or <em>siteId</em> can be applied.\nWhen the <em>buyout</em> parameter is set, only targets eligible for buyouts are returned.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "adGroupTypes",
          "type": "array",
          "description": "",
          "uniqueItems": true,
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "publisherId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "siteId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "buyout",
          "type": "boolean",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "EligibleDisplayTargetingResponse[]",
            "schema": [
              {
                "name": "adGroupType",
                "kind": "optional",
                "type": "string<DISPLAY | SPONSORED_BRAND>",
                "description": "",
                "enum": [
                  "DISPLAY",
                  "SPONSORED_BRAND"
                ]
              },
              {
                "name": "publishers",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/PublisherDisplayTarget",
                "customType": "PublisherDisplayTarget[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "sites",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/SiteDisplayTarget",
                    "customType": "SiteDisplayTarget[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "adUnits",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "modelRef": "#/components/schemas/AdUnitDisplayTarget",
                        "customType": "AdUnitDisplayTarget[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "",
                            "format": "int32"
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "location",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "pagePosition",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "acceptedSizes",
                            "kind": "optional",
                            "type": "array",
                            "description": "",
                            "modelRef": "#/components/schemas/CreativeSizeResponse",
                            "customType": "CreativeSizeResponse[]",
                            "schema": [
                              {
                                "name": "id",
                                "kind": "optional",
                                "type": "integer<int32>",
                                "description": "",
                                "format": "int32"
                              },
                              {
                                "name": "height",
                                "kind": "optional",
                                "type": "integer<int32>",
                                "description": "",
                                "format": "int32"
                              },
                              {
                                "name": "width",
                                "kind": "optional",
                                "type": "integer<int32>",
                                "description": "",
                                "format": "int32"
                              },
                              {
                                "name": "type",
                                "kind": "optional",
                                "type": "string<DISPLAY | SPONSORED_BRAND>",
                                "description": "",
                                "enum": [
                                  "DISPLAY",
                                  "SPONSORED_BRAND"
                                ]
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/EligibleDisplayTargetingResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "MessageResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/Message",
                "customType": "Message[]",
                "schema": [
                  {
                    "name": "text",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "level",
                    "kind": "optional",
                    "type": "string<ERROR | WARNING>",
                    "description": "",
                    "enum": [
                      "ERROR",
                      "WARNING"
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/MessageResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "MessageResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/Message",
                "customType": "Message[]",
                "schema": [
                  {
                    "name": "text",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "level",
                    "kind": "optional",
                    "type": "string<ERROR | WARNING>",
                    "description": "",
                    "enum": [
                      "ERROR",
                      "WARNING"
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/MessageResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "SKm4pQut8DpmD59VpMA6B",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting?adGroupTypes=array' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "Z6c-c5u6pU8EIstgzYC6o",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting?adGroupTypes=array\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "cl0YAC434rvgbqfc9GukE",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting?adGroupTypes=array\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "gU2pibIh3AXJDqcR0xkgD",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/display/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/display/targeting?adGroupTypes=array\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "SKm4pQut8DpmD59VpMA6B"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"adGroupType\": \"\",\n    \"publishers\": [\n      {\n        \"id\": \"\",\n        \"name\": \"\",\n        \"sites\": [\n          {\n            \"id\": \"\",\n            \"name\": \"\",\n            \"type\": \"\",\n            \"adUnits\": [\n              {\n                \"id\": \"\",\n                \"name\": \"\",\n                \"type\": \"\",\n                \"location\": \"\",\n                \"pagePosition\": \"\",\n                \"acceptedSizes\": [\n                  {\n                    \"id\": \"\",\n                    \"height\": \"\",\n                    \"width\": \"\",\n                    \"type\": \"\"\n                  }\n                ]\n              }\n            ]\n          }\n        ]\n      }\n    ]\n  }\n]"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    {\n      \"text\": \"\",\n      \"level\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-4-422",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    {\n      \"text\": \"\",\n      \"level\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}